part of xwidgetbase;

class XNotifierAlertDialog extends StatelessWidget {
  final Widget? child;
  final String? titleText;
  final String? labelBTNtext;
  final TextStyle? titleStyle;
  final Color? titleColor;
  final Color? labelBTNcolor;
  final TextStyle? labelBTNstyle;
  final Color? colorBTN;
  final Decoration? decorationBTN;
  XNotifierAlertDialog({
    this.child,
    this.titleText,
    this.titleStyle,
    this.titleColor,
    this.labelBTNcolor,
    this.labelBTNstyle,
    this.colorBTN,
    this.decorationBTN,
    this.labelBTNtext,
  });

  static alertForNotifier(
    BuildContext context, {
    String titleText = "",
    TextStyle? titleStyle,
    Color? titleColor,
    String? labelBTNtext,
    TextStyle? labelBTNstyle,
    Color? labelBTNcolor,
    Decoration? decorationBTN,
    Color? colorBTN,
  }) {
    return showDialog(
        context: context,
        builder: (context) {
          return XAlertDialog(
              heightAlertDialog: null,
              titleText: titleText,
              styleTitle: titleStyle ?? XStyles.xStyTextForTextBase(titleColor ?? Colors.white),
              contentActionsBTNArea: Row(mainAxisAlignment: MainAxisAlignment.end, children: [
                XBtnbase(
                    label: labelBTNtext ?? "CHIUDI",
                    styleLabel: labelBTNstyle ?? XStyles.xStyTextForLabel(labelBTNcolor ?? Colors.greenAccent),
                    decorationBTN: decorationBTN ?? BoxDecoration(color: colorBTN ?? Colors.transparent),
                    elevation: 0,
                    onPressed: () {
                      Navigator.pop(context);
                    })
              ]));
        });
  }

  @override
  Widget build(BuildContext context) {
    return Container();
  }
}
